{{- $hero       := .Site.Params.hero }}
{{- $title      := index $hero "title" }}
{{- $subtitle   := index $hero "subtitle" }}
{{- $buttonText := index $hero "buttontext" }}
{{- $buttonLink := index $hero "buttonlink" }}
{{- $moreLink   := index $hero "morelink" }}
{{- $image      := index $hero "image" }}
{{- $maintenance_mode      := index $hero "maintenance_mode" }}
<div class="hero-body">
  <div class="container">
    <div class="columns is-vcentered">

      <div class="column is-5 is-offset-1">
        <figure class="image">
          <img src="{{ printf "/images/%s" $image | relURL }}" alt="MoodleNet">
        </figure>
        <h1 class="title is-3 mt-20 is-bold is-spaced">
          {{ $title }}
        </h1>
      </div>

      <div class="column is-5 is-offset-1 landing-caption">
        
        {{ with $subtitle }}
        <h2 class="subtitle is-5 is-muted">
          {{ . }}
        </h2>
        {{ end }}


      </div>
      
    </div>

    {{ if $maintenance_mode }}
    <div class="columns is-centered mt-50">
        <div class="has-text-centered mt-50 notification is-secondary">
          <strong>Are you a MoodleNet alpha tester?</strong> {{ $maintenance_mode}}<br/>In the meantime, why not get a <a href="https://blog.moodle.net/2019/mn-ui-2-0/">sneak peek of the new user interface</a> we're working on for MoodleNet?
        </div>
    </div>
    {{ end }}

  </div>
</div>